> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Cloudflare Dns Record



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/org/cloudflare/domains/{zone_id}/records/{record_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/cloudflare/domains/{zone_id}/records/{record_id}:
    delete:
      tags:
        - Cloudflare
      summary: Delete Cloudflare Dns Record
      operationId: >-
        delete_cloudflare_dns_record_api_v1_org_cloudflare_domains__zone_id__records__record_id__delete
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: path
          name: zone_id
          required: true
          schema:
            type: string
            title: Zone Id
        - in: path
          name: record_id
          required: true
          schema:
            type: string
            title: Record Id
        - in: query
          name: credential_name
          required: false
          description: >-
            Which connected Cloudflare credential to use. Omit when the
            organisation has exactly one.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Credential Name
      responses:
        '204':
          description: Successful Response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '503':
          description: Cloudflare is unavailable or rate limited
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````